com.mysql.cj.jdbc.result

## Interface ResultSetInternalMethods

All Superinterfaces:
  AutoCloseable, ProtocolEntity, Resultset, ResultSet, ResultsetRowsOwner, Wrapper

    public interface ResultSetInternalMethods
    extends ResultSet, ResultsetRowsOwner, Resultset

This interface is intended to be used by implementors of statement interceptors so that implementors can create static or dynamic (via java.lang.reflect.Proxy) proxy instances of ResultSets. It consists of methods outside of java.sql.Result that are used internally by other classes in the driver. This interface, although public is not designed to be consumed publicly other than for the statement interceptor use case.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.mysql.cj.protocol.Resultset

`Resultset.Concurrency, Resultset.Type`

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods
`BigInteger` `getBigInteger(int columnIndex)`
`char` `getFirstCharOfQuery()` Returns the first character of the query that was issued to create this result set, upper-cased.
`Object` `getObjectStoredProc(int columnIndex, int desiredSqlType)` Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).
`Object` `getObjectStoredProc(int i, Map<Object,Object> map, int desiredSqlType)` Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).
`Object` `getObjectStoredProc(String columnName, int desiredSqlType)` Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).
`Object` `getObjectStoredProc(String colName, Map<Object,Object> map, int desiredSqlType)` Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).
`void` `initializeWithMetadata()`
`void` `populateCachedMetaData(CachedResultSetMetaData cachedMetaData)`
`void` `realClose(boolean calledExplicitly)` Closes this ResultSet and releases resources.
`void` `setFirstCharOfQuery(char firstCharUpperCase)` Sets the first character of the query that was issued to create this result set.
`void` `setOwningStatement(JdbcStatement owningStatement)` Sets the statement that "owns" this result set (usually used when the result set should internally "belong" to one statement, but is created by another.
`void` `setStatementUsedForFetchingRows(JdbcPreparedStatement stmt)`
`void` `setWrapperStatement(Statement wrapperStatement)`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from interface com.mysql.cj.protocol.ResultsetRowsOwner

`closeOwner, getConnection, getOwnerFetchSize, getOwningQuery, getOwningStatementFetchSize, getOwningStatementMaxRows, getOwningStatementServerId, getPointOfOrigin, getSession, getSyncMutex`

### Methods inherited from interface com.mysql.cj.protocol.Resultset

`clearNextResultset, getColumnDefinition, getNextResultset, getResultId, getRows, getServerInfo, getUpdateCount, getUpdateID, hasRows, initRowsWithMetadata, setColumnDefinition, setNextResultset`

### Method Detail

#### getObjectStoredProc

    Object getObjectStoredProc(int columnIndex,
                               int desiredSqlType)
                        throws SQLException

Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).

Parameters:
  `columnIndex` - 1-based column index
  `desiredSqlType` - desired column type, one of `Types`
Returns:
  object
Throws:
  `SQLException` - if an error occurs

#### getObjectStoredProc

    Object getObjectStoredProc(int i,
                               Map<Object,Object> map,
                               int desiredSqlType)
                        throws SQLException

Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).

Parameters:
  `i` - 1-based column index
  `map` - map
  `desiredSqlType` - desired column type, one of `Types`
Returns:
  object
Throws:
  `SQLException` - if an error occurs

#### getObjectStoredProc

    Object getObjectStoredProc(String columnName,
                               int desiredSqlType)
                        throws SQLException

Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).

Parameters:
  `columnName` - column name
  `desiredSqlType` - desired column type, one of `Types`
Returns:
  object
Throws:
  `SQLException` - if an error occurs

#### getObjectStoredProc

    Object getObjectStoredProc(String colName,
                               Map<Object,Object> map,
                               int desiredSqlType)
                        throws SQLException

Functions like ResultSet.getObject(), but using the given SQL type (as registered during CallableStatement.registerOutParameter()).

Parameters:
  `colName` - column name
  `map` - map
  `desiredSqlType` - desired column type, one of `Types`
Returns:
  object
Throws:
  `SQLException` - if an error occurs

#### realClose

    void realClose(boolean calledExplicitly)
            throws SQLException

Closes this ResultSet and releases resources.

Parameters:
  `calledExplicitly` - was realClose called by the standard ResultSet.close() method, or was it closed internally by the driver?
Throws:
  `SQLException` - if an error occurs

#### setFirstCharOfQuery

    void setFirstCharOfQuery(char firstCharUpperCase)

Sets the first character of the query that was issued to create this result set. The character should be upper-cased.

Parameters:
  `firstCharUpperCase` - character

#### setOwningStatement

    void setOwningStatement(JdbcStatement owningStatement)

Sets the statement that "owns" this result set (usually used when the result set should internally "belong" to one statement, but is created by another.

Parameters:
  `owningStatement` - the statement this result set will belong to

#### getFirstCharOfQuery

    char getFirstCharOfQuery()

Returns the first character of the query that was issued to create this result set, upper-cased.

Returns:
  character

#### setStatementUsedForFetchingRows

    void setStatementUsedForFetchingRows(JdbcPreparedStatement stmt)

#### setWrapperStatement

    void setWrapperStatement(Statement wrapperStatement)

Parameters:
  `wrapperStatement` - The wrapperStatement to set.

#### initializeWithMetadata

    void initializeWithMetadata()
                         throws SQLException

Throws:
  `SQLException`

#### populateCachedMetaData

    void populateCachedMetaData(CachedResultSetMetaData cachedMetaData)
                         throws SQLException

Throws:
  `SQLException`

#### getBigInteger

    BigInteger getBigInteger(int columnIndex)
                      throws SQLException

Throws:
  `SQLException`

Copyright © 2016, 2023, Oracle and/or its affiliates.